# /usr/lib/ved/ved.conf: default settings for ved
# You can copy this file to /etc/ved.conf or ~/.ved.conf to override settings.

# the directory where ved's components have been installed
ved_dir=/usr/lib/ved

# general settings - volume, playback speed, sample rate
volume=30
bell_volume_factor=0.3
mic_volume_factor=2
volume_adjust_delta=5
speed=1.0
speed_adjust_factor=1.2
sample_rate=8000

# split_sound settings - these control how ved breaks your speech into sentences
silence_max_amp=0.2
voice_min_amp=0.40
break_min_sec=0.8
padding_before_sec=0.2
padding_after_sec=0.6
voice_min_sec=0.2
skip_initial_spike_sec=0.25

# the following four settings are overridden in ved-main,
# it is only useful to set them if running ved components directly.
filename_template=sample_%06d.raw
initial_file_count=1
use_dsp=1
playback_stretch=1

# The speexenc_args setting is only used by ved-compress.
# Ved cannot yet edit works containing compressed files.
speexenc_args="--vbr"
